package com.jasamedika.medifirst2000.service;

import java.util.Date;
import java.util.Map;

import org.springframework.data.jpa.domain.Specification;

import com.jasamedika.medifirst2000.entities.PapSkriningGizi;
import com.jasamedika.medifirst2000.vo.PapSkriningGiziVO;

/**
 * PAPSkriningGizi Service
 * 
 * @author Askur
 */
public interface PapSkriningGiziService<T> extends BaseVoService<PapSkriningGizi, PapSkriningGiziVO, String> {
	Map<String,Object> addSkriningGizi(PapSkriningGiziVO vo);
	Map<String,Object> updateSkriningGizi(PapSkriningGiziVO vo);
	Map<String,Object> findByNoCmAndTglInput(String noCm,Date tglInput);
	public Map<String,Object> findSkoring();
	public Map<String,Object> findSkoringAll();
	public Map<String,Object> findSkoring(String startDate,String endDate,String namaPasien,String pilih);
	public Map<String,Object> findSkoringPaging(String startDate,String endDate,String namaPasien,String pilih,Integer page, Integer limit, String sort, String dir);
	public Map<String,Object> findSkriningGiziDetailByNoRecSkriningGizi(String noRec);
}
